
Redmine - Feature #1649

Nice human-friendly URL for the file module

2008-07-15 16:42 - Thomas Capricelli

Status: Closed Start date: 2008-07-15

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

The link in the 'file' module ends with "versions/download/6?attachment_id=45

It would be great to have the actual filename in the URL. My main concern is with gentoo ebuilds, which require the filename to be in

the URL. But also when i need to point the user to the direct URL (not the web page with the url).

I dont know how hard this would be, i'm not much in web development.

Associated revisions

Revision 1686 - 2008-07-22 19:55 - Jean-Philippe Lang

Appends the filename to the attachment url so that clients that ignore content-disposition http header get the real filename (#1649).

History

#1 - 2008-07-19 12:52 - Jean-Philippe Lang

We could use this URL pattern:

/download/45/filename.ext

 What do you think ?

#2 - 2008-07-21 13:36 - Thomas Capricelli

Yes, that would be perfect!

#3 - 2008-07-22 19:55 - Jean-Philippe Lang

- Category changed from Documents to Attachments

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Committed in r1686.

#4 - 2008-10-06 23:13 - Thomas Capricelli

- % Done changed from 0 to 100

I confirm. This is exactly what I wanted. Thanks a very lot!

#5 - 2010-12-23 09:10 - Florian Keclik

I know it's been some time since this issue was closed but we just migrated from redmine 0.7 to 1.0. Now this feature messed up all the links in the

wiki to uploaded files.

When this feature was implemented was there also a script created that changes the old style links to the new style (e.g. in wiki pages)? Or do we

have to change the links manually?
